/* zamówienia online MASTER CSS */
@font-face {
  font-family: 'regular';
  src: URL('font/Poppins-Regular.ttf') format('truetype');
}
@font-face {
  font-family: 'bold';
  src: URL('font/Poppins-SemiBold.ttf') format('truetype');
}
@font-face {
  font-family: 'italic';
  src: URL('font/Lato-Italic.ttf') format('truetype');
}
@font-face {
  font-family: 'Material Symbols Outlined';
  font-style: normal;
  font-weight: 400;
  src: url(font/icons.woff2) format('woff2');
}
.material-symbols-outlined {
  font-family: 'Material Symbols Outlined';
  font-weight: normal;
  font-style: normal;
  font-size: 24px;
  line-height: 1;
  letter-spacing: normal;
  text-transform: none;
  display: inline-block;
  white-space: nowrap;
  word-wrap: normal;
  direction: ltr;
  -webkit-font-feature-settings: 'liga';
  -webkit-font-smoothing: antialiased;
}
:root {
  --main-color: #4a4a4a;
  --special-color: #1896dd;
  --special-color: #2b99cf;
  --comp-color: #2BCACF;
  --special-bright-color: #4fade2;
  --special-dark-color: rgba(0, 127, 199, 1);
  --special-color-2: #78278b;
  --special-color-2: #02577a;
  --green-color: #278b46;
  --light-green-color: rgba(39, 139, 70, 0.6);
  --orange-color: #f48d04;
  --light-orange-color: #ffa834;
  --warning-color: #e62d3c;
  --main-bg-color: #fafafc;
  --main-bg-color: #f9f9fa;
  --main-bg-color: #f6f6f9;
  --grey-color: #bbbbbb;
  --grey-color: #b9b9b9;
  --light-grey-color: #dfdfdf;
  --light-grey-color: #eaeaea;
  --dark-grey-color: #959595;
  --blue-color: rgba(24, 150, 220, 1);
  --blue-color: #2b99cf;
  --header-height: 60px;
  --radius-small: 6px;
  --radius-medium: 12px;
}
.special-color {
  color: var(--special-color);
}
.special-color-2 {
  color: var(--special-color-2);
}
.warning-color {
  color: var(--warning-color);
}
.green {
  color: var(--green-color);
}
.orange {
  color: var(--orange-color);
}
.material-symbols-outlined.shift {
  margin-top: -20px;
  position: relative;
  top: 6px;
  left: -3px;
  margin-right: 5px;
  transform: scale(0.9);
}
.material-symbols-outlined.bold {
  font-variation-settings:
  'wght' 800 !important;
}
.material-symbols-outlined.small {
  font-variation-settings:
  'FILL' 0,
  'wght' 290,
  'GRAD' 0,
  'opsz' 24;
  margin-top: -20px;
  position: relative;
  top: 8px;
  left: -4px;
  margin-right: 0px;
  transform: scale(0.7);
}
.red {
  background: red !important;
}
#logo-preloader {
  display: flex;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  text-align: center;
  justify-content: center;
  align-items: center;
  background: #ffffff;
  z-index: 1000;
}
.logo-preloader {
  position: relative;
  width: 100px;
  height: auto;
  animation: logo-preloader;
  animation-duration: 0.7s;
  animation-delay: 0.5s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
  opacity: 0;
}
@keyframes logo-preloader {
  0% {top: -20px; opacity: 0}
  100% {top: 0px; opacity: 1}
}
#logo-part-left {
  position: relative;
  left: -50px;
  opacity: 0;
  animation-name: lpl;
  animation-duration: 0.7s;
  animation-delay: 0.5s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}
@keyframes lpl {
  0% {left: -50px; opacity: 0}
  100% {left: 0px; opacity: 1}
}
#logo-part-right {
  position: relative;
  left: 50px;
  opacity: 0;
  animation-name: lpr;
  animation-duration: 0.7s;
  animation-delay: 0.5s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}
@keyframes lpr {
  0% {left: 50px; opacity: 0}
  100% {left: 0px; opacity: 1}
}
.logo-code {
  display: inline;
}
.logo-code > * {
  height: 40px;
}
#logo-loader .loader {
  width: 100px;
  height: 7px;
  display: block;
  background-color: #daf1fc;
  border: 1px solid #2b99cf;
  border-radius: 2px;
  background-image: linear-gradient(45deg, #2b99cf 25%, transparent 25%, transparent 50%, #2b99cf 50%, #2b99cf 75%, transparent 75%, transparent);
  font-size: 30px;
  background-size: 0.5em 0.5em;
  box-sizing: border-box;
  animation: barStripe 1s linear infinite;
  margin-top: 3px;
  opacity: 0.9;
}
#logo-loader {
  position: relative;
  top: 10px;
  opacity: 0;
  animation-name: ll;
  animation-duration: 0.7s;
  animation-delay: 1s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}
@keyframes ll {
  0% {top: 10px; opacity: 0}
  100% {top: 0px; opacity: 1}
}
#logo-loader-text {
  font-size: 0.8em;
  margin-top: 20px;
  margin-bottom: -1000px;
  transition: 0.5s;
  opacity: 0;
  transition-delay: 2s;
}

#preloader {
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  top: 0px;
  left: 0px;
  background: #f6f6f9;
  width: 100%;
  height: 100vh;
  z-index: 10000;
  text-align: center;
}
.preloader-dots > div {
  display: inline-block;
  background: var(--special-color);
  width: 7px;
  height: 7px;
  border-radius: 10px;
  animation-name: dot-animation;
  animation-duration: 2.1s;
  animation-iteration-count: infinite;
}
.dot-1 {
  animation-delay: 0.15s;
}
.dot-2 {
  animation-delay: 0.3s;
}
.dot-3 {
  animation-delay: 0.45s;
}
.dot-4 {
  animation-delay: 0.6s;
}
@keyframes dot-animation {
  0% {transform: translateY(0)}
  20% {transform: translateY(-14px); background: var(--special-bright-color);}
  70% {transform: translateY(0)}
}
#preloader-inner {
  opacity: 0;
  animation-name: preloader-fadein;
  animation-duration: 1s;
  animation-delay: 0.5s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
  transform: translateY(-50px);
}
@keyframes preloader-fadein{
  0% {opacity: 0}
  100% {opacity: 1; transform: translateY(0px);}
}
#preloader-text {
  margin-top: 10px;
  opacity: 0;
  animation-name: preloader-text-fadein;
  animation-duration: 1s;
  animation-delay: 2s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
  transform: translateY(+20px);
}
@keyframes preloader-text-fadein{
  0% {opacity: 0}
  100% {opacity: 1; transform: translateY(0px);}
}
#wrapper {
  width: calc(100% - 40px);
  max-width: 1000px;
  margin: auto;
  text-align: left;
  font-size: 0.95em;
  filter: blur(0px);
  min-height: calc(100vh - 200px);
}
.highlight {
  border-color: #e60045;
}
#page{
  transition: ease-in-out 0.2s;
}
.shake {
  animation-duration: 0.35s;
  animation-iteration-count: 1;
  animation-name: shake;
}
@keyframes shake{
  0% {transform: translateX(0px)}
  20% {transform: translateX(8px)}
  40% {transform: translateX(-8px)}
  60% {transform: translateX(8px)}
  80% {transform: translateX(-8px)}
  100% {transform: translateX(0px)}
}
body, html {
  background: #f6f6f9;
  background: #eeeeee;

  background: rgb(233, 234, 244);
  background: #f6f6f9;

  margin: 0px;
  padding: 0px;
  font-family: 'regular';
  font-size: 0.9em;
  font-size: 0.87em;
  color: var(--main-color);
  color: var(--special-color-2);
}
nav {
  width: calc(100% - 40px);
  max-width: 1300px;
  margin: auto auto 50px auto;
  line-height: 50px;
  text-align: left;
  background-image: url('img/logo-slogan.png');
  background-repeat: no-repeat;
  background-position: left center;
  background-size: auto 48px;
  border-bottom: 1px solid rgba(0,0,0,0.1);
  transform: translateX(0px);
  z-index: 1;
}
nav > div {
  text-align: right;
}
nav a:link, nav a:visited {
  display: inline-block;
  text-transform: uppercase;
  margin: 10px 0px 10px 25px;
  padding: 0px;
  text-decoration: none;
}
nav a:hover {
  transform: translateY(-3px);
}
a#home-page {
  display: block;
  position: relative;
  top: 20px;
  margin: 0px;
  margin-bottom: -40px;
  width: 150px;
  opacity: 0;
}
p {
  text-align: justify;
  line-height: 1.3em;
}
a, a:visited {
  color: inherit;
  transition: ease-in-out 0.3s;
}
a:hover {
  color: var(--special-color);
}
a .material-symbols-outlined {
  font-variation-settings:
  'FILL' 0,
  'wght' 290,
  'GRAD' 0,
  'opsz' 24;
  margin-top: -50px;
  display: inline-block;
  transform: translateY(7px) translateX(-4px) scale(0.8);
}
a.button, a:visited.button {
  text-decoration: none;
  display: block;
  color: #ffffff !important;
}
.img-border{
  border: 1px solid rgba(0,0,0,0.05);
  border-radius: var(--radius-medium);
  background: #eeeeee;
  padding: 50px;
  box-sizing: border-box;
}
.img-border-small{
  border: 1px solid rgba(0,0,0,0.05);
  border-radius: var(--radius-medium);
  background: #eeeeee;
  padding: 20px;
  box-sizing: border-box;
}
.img-border img {
  opacity: 0.9;
}
img {
  width: 100%;
}
img.medium {
  display: block;
  max-width: 400px;
  margin: auto;
}
img.small {
  display: block;
  max-width: 200px;
  margin: auto;
}
img.smaller {
  display: block;
  max-width: 150px;
  margin: auto;
}
img.x-small {
  display: block;
  max-width: 115px;
  margin: auto;
}
img.mx-small {
  display: block;
  max-width: 90px;
  margin: auto;
}
img.xx-small {
  display: block;
  max-width: 50px;
  margin: auto;
}

input, textarea {
  width: 100%;
  box-sizing: border-box;
  font-family: regular;
  line-height: 30px;
  padding: 2px 10px 0px 34px;
  border-radius: var(--radius-small);
  border: 1px solid var(--grey-color);
  border: 1px solid var(--light-grey-color);
  color: var(--special-color-2);
  font-size: 1em;
  background: #fafafa;
  transition: 0.2s;
}
input::placeholder, textarea::placeholder {
  color: var(--dark-grey-color);
}
input:focus {
  border: 1px solid var(--special-color);
  outline: none !important;
  background: #f3f8fc;
  box-shadow: 0px 0px 20px rgba(43, 153, 207, 0.2);
}
.input-icon {
  height: 30px;
  position: relative;
  top: 4px;
  left: 5px;
  color: var(--dark-grey-color);
  width: 30px;
  height: 0px;
  pointer-events: none;
}
.input-icon > .material-symbols-outlined {
  font-variation-settings:
  'FILL' 0,
  'wght' 100,
  'GRAD' 0,
  'opsz' 24;
  transform: scale(0.7);
}
#font-loader {
  position: absolute;
  top: 0;
  left: 0;
  height: 0px;
  overflow: hidden;
}
.inline {
  display: inline !important;
}
.button {
  background: var(--special-color);
  border-radius: var(--radius-small);
  font-family: 'regular' !important;
  color: #ffffff;
  padding: 10px 16px;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 0.05em;
  transition: ease-in-out 0.3s;
  cursor: pointer;
}
.button.loading, .button.loading:hover, .button.loading:focus {
  pointer-events: none;
  opacity: 0.5;
  background: var(--special-color);
}
.button:hover, .button:focus {
  background: var(--special-color-2);
  outline: none;
}
.button .material-symbols-outlined {
  font-variation-settings:
  'FILL' 0,
  'wght' 280,
  'GRAD' 0,
  'opsz' 24;
  margin-top: -20px;
  position: relative;
  top: 7px;
  left: 0px;
  transform: scale(0.9);
}
/*
input[type=file] {
  position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0,0,0,0);
    border: 0;
}
input[type=checkbox] {
  width: auto !important;
  line-height: normal !important;
  margin: auto !important;
  margin-right: 5px !important;
  cursor: pointer !important;
  filter: hue-rotate(-15deg) saturate(60%) brightness(120%);
}
label {
  font-size: 0.9em;
  position: relative;
  top: 0px;
}

.button, .button-loader {
  background: var(--special-color);
  border-radius: var(--radius-small);
  font-family: 'regular' !important;
  color: #ffffff;
  padding: 13px 20px;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 0.05em;
  transition: ease-in-out 0.3s;
  cursor: pointer;
}
.button-fake {
  background: #d5d5d5;
  border-radius: var(--radius-small);
  color: var(--main-color);
  padding: 13px 20px;
  margin: 20px 0px 10px 0px;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 0.05em;
}
.button-inverted {
  border: 2px solid var(--special-color);
  background: none;
  color: var(--special-color);
  box-sizing: border-box;
  padding: 11px 20px;
}
.button-small {
  padding: 6px 20px;
}
.button-loader {
  display: none;
  cursor: default;
  opacity: 0.5;
  text-indent: -999px;
  transition: none;
}
.button-loader > div {
  width: 16px;
  height: 16px;
  margin: auto;
  border-radius: 10px;
  border: 2px solid #ffffff;
  border-top-color: rgba(0,0,0,0);
  animation: button-loader .8s linear infinite;
  transition: none;
}
.button .material-symbols-outlined {
  font-variation-settings:
  'FILL' 0,
  'wght' 280,
  'GRAD' 0,
  'opsz' 24;
  margin-top: -20px;
  position: relative;
  top: 7px;
  left: -10px;
  transform: scale(0.9);
}
.button-grey {
  color: #555555;
  background: #dfdfdf;
  background: #dcdcdc;
  color: #555555;
}
.button-grey:hover {
  color: #ffffff;
}
.button-yellow {
  background: #ffcc05;
  color: #111111;
}
.button-orange {
  background: var(--orange-color);
  color: #ffffff;
}
.button-orange:hover {
  background: var(--light-orange-color) !important;
  color: #ffffff;
}
.button-yellow:hover {
  background: #ffb905 !important;
  color: #555555;
}
.button-white {
  background: #ffffff;
  border: 1px solid #dadada;
  color: #555555;
}
.button-white:hover {
  color: #555555;
  background: #dddddd !important;
}
.button.small .material-symbols-outlined {
  transform: scale(0.8);
}
.button.small {
  font-size: 0.9em;
}
.inline {
  display: inline-block !important;
}
.rounded {
  border-radius: var(--radius-small);
}
.x-rounded {
  border-radius: 9999px;
}
.to-reveal {
  display: none;
  opacity: 0;
}
.disabled, .disabled input{
  opacity: 0.5;
  pointer-events: none;
}
.disabled-important {
  opacity: 0.5 !important;
  pointer-events: none !important;
}
.tile.disabled{
  background-color: #eeeeee !important;
}
.disabled.merge-disabled {
  opacity: 0.2 !important;
  background-color: #ffffff !important;
  background-image: url('img/bg-lock0.png') !important;
}
.transparent {
  opacity: 0;
  transition: 0.3s;
}
@keyframes button-loader {
  0% {transform: rotate(0deg)}
  100% {transform: rotate(360deg)}
}
.button:hover {
  background-color: var(--special-dark-color);
  /*
  transform: translateY(-5px);
  */
}
.button-inverted:hover {
  color: #ffffff;
  border-color: var(--special-dark-color);
  opacity: 0.8;
}
.button:active {
  /*
  transform: scale(0.95) translateY(-5px);.
  */
  background-color: var(--special-dark-color);
}
.bigger {
  font-size: 1.2em;
}
.big {
  font-size: 1.5em;
}
.smaller {
  font-size: 0.8em;
}
.x-smaller {
  font-size: 0.8em !important;
}
.grey {
  color: var(--grey-color);
}
.dark-grey {
  color: var(--dark-grey-color);
}
.bold, b {
  font-family: bold;
  font-weight: normal;
}
.center {
  text-align: center;
}
.left {
  text-align: left;
}
.right {
  text-align: right;
}
.justify {
  text-align: justify;
}
.middle {
  display: flex;
  justify-content: center;
  align-items: center;
}
.middle > div {
  display: block;
  width: 100%;
  margin: auto;
}
.centered {
  margin: auto;
}
.bottom {
  align-items: flex-end;
}
section, section.middle {
  display: block;
  transition: ease-in-out 0.3s;
}

.full-size {
  width: 100%;
  min-height: 100vh;
}
.padded {
  padding: 30px;
  box-sizing: border-box;
}
.padded-small {
  padding: 14px 20px;
  box-sizing: border-box;
}
.padded-left {
  padding-left: 25px;
}
.relative {
  position: relative !important;
}
.login-screen {
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100vh;
  display: flex;
}
.login-screen > div {
  align-items: center;
  display: flex;
  padding-bottom: 100px;
}
.login-screen > div:first-of-type {
  background: var(--special-color);
  width: calc(50% - 130px);
  background-image: url('img/bg-pattern-4.png');
  background-size: 100% auto;
  background-repeat: no-repeat;
  background-position: left bottom;
  background: linear-gradient(220deg, var(--special-color) 30%, var(--comp-color) 100%);
}
.login-screen > div:first-of-type > div {
  text-align: right;
  width: 100%;
}
.login-screen > div:last-of-type > div {
  width: 260px;
}
.login-logo {
  width: 100px;
  margin-left: -42px;
  margin-bottom: 100px;
  margin-bottom: 30px;
}
.box {
  margin: auto;
  background: #ffffff;
  border: none;
  background: #fafafa;
  border-radius: 10px;
  box-shadow: 0px 20px 50px rgba(25, 50, 70, 0.15);
  box-shadow: none;
  border: 1px solid #e7e7e7;
}
.box-header {
  background: var(--special-color);
  color: #ffffff;
  font-family: bold;
  font-size: 1.2em;
  border-radius: 10px 10px 0px 0px;
}
.box-header-grey {
  background: #efefef;
  border: 0px solid #e0e0e0;
  color: #666666;
  font-family: bold;
  font-size: 1.2em;
  border-radius: 10px 10px 0px 0px;
}
.box h2 {
  margin-top: 0px;
}
.toggle-box {
  transition: ease-in-out 0.25s;
  border: 1px solid rgba(0,0,0,0.03);
  box-sizing: border-box;
  cursor: pointer;
  background-image: url('img/check.png');
  background-position: calc(100% - 26px) 26px;
  background-repeat: no-repeat;
  background-size: 0px 0px;
}
.toggle-box:hover {
  border-color: var(--special-color);
  background-color: rgba(24, 150, 221, 0.04);
  transform: translateY(-2px);
}
.toggle-box.active {
  background-position: calc(100% - 20px) 20px;
  background-size: 13px 13px;
  border-color: var(--special-color);
  background-color: #e9eff4;
  transform: translateY(-10px);
}
div:has(> .display-full-price) {
  padding-top: 10px;
  border-top: 1px solid rgba(0,0,0,0.1);
}
hr {
  margin-bottom: 20px;
  border: none;
  border-top: 1px solid #eaeaea;
  border-bottom: 1px solid #ffffff;
}
.x-narrow {
  max-width: 300px !important;
  margin: auto;
}
.narrow {
  max-width: 400px !important;
  margin: auto;
}
.medium {
  max-width: 600px;
}
.wide {
  max-width: 900px;
}
.x-wide {
  max-width: 1000px;
}
.auto {
  margin: auto;
}
.cols {
  display: flex;
  gap: 0px;
  justify-content: space-between;
}
.cols.gap {
  gap: 30px;
}
.cols.gap-big {
  gap: 60px;
}
.cols.gap-small {
  gap: 20px;
}
.cols.stretch {
  align-items: stretch;
}
.cols.stretch > div {
  height: auto !important;
  margin: 0px;
}
.cols > div {
  flex-grow: 1;
  flex-basis: 0;
  min-width: 0;
}
.cols.to-bottom {
  align-items: flex-end;
}
.spt {
  margin-top: 20px !important;
}
.spts {
  margin-top: 10px !important;
}
.sptsd {
  margin-top: 10px !important;
}
.sptb {
  margin-top: 40px !important;
}
.spb {
  margin-bottom: 20px !important;
}
.spbs {
  margin-bottom: 5px !important;
}
.spbm {
  margin-bottom: 10px !important;
}
#login-page-logo {
  background-image: url('img/logo-cropped.png');
  background-size: 43% auto;
  background-repeat: no-repeat;
  background-position: left top;
}
.cols>div.border-right {
  border-right: 1px solid var(--light-grey-color);
}
.logo-image {
  width: 100%;
  max-width: 170px;
  margin-bottom: 20px;
}
.button-link {
  text-align: center;
  margin-top: 10px;
  cursor: pointer;
  transition: ease-in-out 0.3s;
}
.button-link:hover {
  color: var(--special-color);
}
.button-link.yellow:hover {
  color: #ffb905;
}
.data-holder {
  display: none;
}
.ch-box {
  display: flex;
  cursor: pointer;
}
.ch-box.move-right {
  margin-left: 8px;
}
.ch-icon {
  position: relative;
  top: 2px;
  top: 1.5px;
  width: 12px;
  height: 12px;
  border: 1px solid var(--grey-color);

  border-radius: var(--radius-small);
  border-radius: 10px;
  background-color: #ffffff;
  margin-right: 7px;
  transition: ease-in-out 0.2s;
  cursor: pointer;
}
.ch-icon.tiny {
  transform: scale(0.9) translateY(-2px);
}
.ch-icon:hover {
  border-color: var(--special-color);
}
.ch-icon > div {
  width: 8px;
  height: 8px;
  border-radius: 12px;
  margin: 2px;
  background: var(--special-color);
  opacity: 0;
  transition: 0.3s;
}
.ch-box.active .ch-icon > div {
  opacity: 1;
}
.ch-box.active .ch-icon {
  border-color: var(--special-color);
  background-color: rgba(24, 150, 221, 0.1);
}
.accent-box {
  border: 1px solid var(--special-color);
  padding: 15px 20px;
  color: var(--special-color);
  border-radius: var(--radius-small);
  background-color: rgba(24, 150, 221, 0.1);
  background: none;
}
.grey-box {
  padding: 15px 20px;
  border-radius: var(--radius-small);
  background-color: rgba(0, 0, 0, 0.05);
  background-color: rgba(0, 0, 0, 0.04);
}
.dark-box {
  padding: 0px 20px 20px 0px;
  border-radius: var(--radius-small);
  background-color: rgba(0, 0, 0, 0.1);
  color: #cccccc;
}
#calculation-pending-info {
  display: none;
}
h1.header {
  position: absolute !important;
  bottom: 50px;
  left: 50px;
  width: 300px;
  color: #ffffff;
  font-family: bold;
  font-size: 2.3em;
  z-index: 1;
}
h1 .material-symbols-outlined {
  font-variation-settings:
  'FILL' 0,
  'wght' 500,
  'GRAD' 0,
  'opsz' 24;
  position: relative;
  top: 3px;
  margin-right: 10px;
}
div:has( >.print-info) {
  border-bottom: 1px solid #eeeeee;
  padding-bottom: 13px;
  margin-bottom: 13px;
  display: none;
}
.pdfv {
  width: 100%;
  border-radius: 9px;
}
.round {
  display: inline-block;
  color: var(--dark-grey-color);
  border: 1px solid var(--grey-color);
  border-radius: 9999px;
  width: 50px;
  height: 50px;
  line-height: 50px;
}
#top-bar {
  display: none;
  z-index: 100;
}
#fade {
  position: fixed;
  top: 0;
  left: 0;
  display: none;
  width: 100%;
  height: calc(100vh + 600px);
  background: rgba(50,50,50,0.5);
  z-index: 99;
}
.col-header {
  margin-top: 0px;
  border: 0px solid rgba(0,0,0,0);
  border-radius: 9px 9px 0px 0px;
  background: var(--special-color);
  color: #ffffff;
  padding: 15px 30px;
  margin: 0px;
}
.no-margin {
  margin: 0px;
}
.gradient-1of3 {
  background-image: linear-gradient(60deg, #009DE0, #4d55b3);
}
.gradient-2of3 {
  background-image: linear-gradient(60deg, #4d55b3, #652f9c);
}
.gradient-3of3 {
  background-image: linear-gradient(60deg, #652f9c, #94349d);
}
.inpost-bg {
  background-image: url('img/inpost-logo.png');
  background-repeat: no-repeat;
  background-position: right center;
  background-size: auto 20px;
}
#preview-parent {
  border-radius: var(--radius-small);
  border: 1px solid var(--grey-color);
  width: 100%;
  height: 150px;
  overflow: hidden;
  box-sizing: border-box;
}
#preview {
  width: calc(100% + 10px);
  height: 160px;
  border: none;
  margin-left: -5px;
  margin-top: -5px;
}
.info-box {
  border: 1px solid var(--special-color);
  padding: 15px 20px;
  text-align: justify;
  border-radius: 6px;
  color: var(--special-color);
}
.info-box-icon {
  text-align: center;
  height: 20px;
  position: relative;
  top: -27px;
  margin-bottom: -20px;
  color: var(--special-color);
}
.info-box-icon .material-symbols-outlined {
  font-variation-settings:
  'FILL' 1,
  'wght' 290,
  'GRAD' 0,
  'opsz' 24;
  background: #f9f9f9;
  border-radius: 999px;
  transform: scale(0.9);
}
.info-box.warning, .info-box.warning .material-symbols-outlined{
  color: var(--warning-color) !important;
  border-color: var(--warning-color);
}
.info-box-parent {
  padding: 20px 20px 0px 20px;
  display: none;
  opacity: 0;
}
.order-list-header {
  font-family: 'bold';
  background: var(--special-color);
  background-image: linear-gradient(90deg, #009DE0, #94349d);
  color: #ffffff;
  border: 1px solid var(--light-grey-color);
  border-radius: var(--radius-medium);
  padding: 15px 10px;
  margin-bottom: 10px;
}
.order-list-header > div > div {
  border-left: 1px solid rgba(255,255,255,0.25);
  padding: 7px 12px;
}
.order-list-header > div > div:first-of-type {
  border-left: none;
}
.order-list-header > div > div:last-of-type {
  text-align: left;
}
/*
.order-list-row {
  padding: 15px 10px;
  border: 1px solid var(--light-grey-color);
  border-top-color: rgba(255,255,255,0);
  transition: ease-in-out 0.25s;
}
*/
.order-list-row {
  padding: 10px 10px;
  margin: 5px 0px;
  transition: ease-in-out 0.25s;
  border-radius: var(--radius-medium);
  border: 1px solid rgba(0,0,0,0);
  transition: ease-in-out 0.3s;
}
.order-list-row {
  padding: 10px 10px;
  margin: 5px 0px;
  transition: ease-in-out 0.25s;
  border-radius: var(--radius-medium) var(--radius-medium) 0px 0px;
  border: 1px solid rgba(0,0,0,0);
  border-bottom: 1px solid var(--light-grey-color);
  transition: ease-in-out 0.3s;
}
.order-list-row {
  padding: 10px 10px;
  margin: 15px 0px;
  transition: ease-in-out 0.25s;
  border-radius: var(--radius-medium);
  border: 1px solid rgba(0,0,0,0.05);
  background-color: #f6f6f6;
  border: 1px solid rgba(0,0,0,0.0);
  background-color: #ffffff;
  transition: ease-in-out 0.3s;
  box-shadow: 0px 2px 7px rgba(0,0,0,0.06);
}
.master-row-label {
  border-bottom-style: solid;
  border-radius: var(--radius-medium) var(--radius-medium) 0px 0px;
}
div:has(>.merge-slave) {
  margin-top: -15px;
  padding: 5px 10px;


}
.order-list-row > .merge-slave {
  padding: 20px 10px 10px 10px;
  margin-top: -10px;
}
.order-row {
  cursor: pointer;
}
.order-row .verify-payment-parent {
  display: none;
}
.order-list-row:has(.order-row:hover) {
  color: var(--special-color);
  border: 1px solid var(--special-color);
  background-color: rgba(24, 150, 221, 0.1);
  /*
  border-radius: var(--radius-medium);
  */
}
.order-list-row > div > div {
  border-left: 1px solid rgba(0,0,0,0.08);
  padding: 7px 12px;
}

.order-list-row > div > div:first-of-type {
  border-left: none;
}
.order-list-row > div > div:last-of-type {
  text-align: left;
}
.btn-expand-row {
  cursor: pointer;
}
.order-list-row .material-symbols-outlined,
.order-list-header .material-symbols-outlined {
  font-variation-settings:
  'FILL' 0,
  'wght' 290,
  'GRAD' 0,
  'opsz' 20;
  position: relative;
  top: 7px;
  margin-top: -10px;
  margin-right: 5px;
}
.order-list-header .material-symbols-outlined {
  font-variation-settings:
  'wght' 350,
  'opsz' 10;
}
img.print-thumbnail {
  max-width: 400px;
  overflow-y: hidden;
  box-shadow: 0px 5px 10px rgba(0,0,0,0);
  border-radius: var(--radius-medium);
  border: 1px solid var(--light-grey-color);
}
.order-list-details {
  display: none;
  opacity: 0;
  border-top: 1px dashed rgba(0,0,0,0.1);
  margin-top: 20px;
  padding-top: 15px;
  padding-bottom: 5px;
  color: var(--main-color);
}
.order-details-list > div.cols {

  border-bottom: 1px solid var(--light-grey-color);
  padding-bottom: 10px;

}
.order-details-list > div.cols:last-of-type {
  border: none;
}
.order-details-list > div > div:first-of-type {
  font-family: 'bold';
}
.details-unfolded {
  box-shadow: 0px 10px 40px rgba(0,0,0,0.2);
  background: #f8f8f8 !important;
  margin: 40px -10px;
}
.no-file {
  opacity: 1;
  color: var(--grey-color) !important
}


footer {

  width: 100%;
}
footer > div {
  width: calc(100% - 40px);
  max-width: 1300px;
  margin: 10px auto auto auto;
  padding: 20px 0px;
  border-top: 1px solid rgba(0,0,0,0.1);
  color: #bbbbbb;
  font-size: 0.9em;
  text-align: center;
}
footer .material-symbols-outlined {
  font-variation-settings:
  'FILL' 0,
  'wght' 290,
  'GRAD' 0,
  'opsz' 24;
  margin-top: -50px;
  display: inline-block;
  transform: translateY(7px) translateX(0px) scale(0.8);
}
footer a {
  text-decoration: none;
}
#footer-report{
  transition: ease-in-out 0.3s;
  cursor: pointer;
}
#footer-report:hover{
  color: var(--special-color);
}
div:has( >.total-price) {
  border: none;
  padding: 0px;
  margin: 0px;
}
.price-section {
  margin: 0px;
  background-color: #f3f3f3;
  background-image: url('img/arrow-bg.png');
  background-repeat: no-repeat;
  background-position: top center;
  background-size: 100% auto;
  border-top: 0px dashed #e3e3e3;
  border-bottom-left-radius: calc(var(--radius-medium) - 3px);
  border-bottom-right-radius: calc(var(--radius-medium) - 3px);

}
.wide-col {
  flex-grow: 1.2 !important;
}
.m-wide-col {
  flex-grow: 1.4 !important;
}
.x-wide-col {
  flex-grow: 1.6 !important;
}
.xx-wide-col {
  flex-grow: 1.7 !important;
}
.small-col {
  max-width: 100px;
}
.medium-col {
  max-width: 200px;
}
.x-small-col {
  max-width: 30px;
}
.status-icon-only {
  font-size: 0em;
  position: relative;
  top: -2px;
  left: -6px;
}
#btn-order-and-pay{
  padding: 20px;
  font-size: 1.1em;
}
.hide {
  display: none;
}
#inpost-screen, #address-screen, #bug-screen, .screen{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: #eeeeee;
  background: rgba(50,50,50,0.8);
  box-sizing: border-box;
  z-index: 105;
  overflow-y: scroll;
}
#inpost-screen > div, #address-screen > div, #bug-screen > div, .screen > div {
  width: 90%;
  max-width: 1200px;
  margin: 50px auto;
  padding: 30px;
  background: #eeeeee;
  border-radius: var(--radius-medium);
  overflow-y: scroll;
}
#bug-screen > div{
  max-width: 650px;
}
#reupload-screen > div {
 max-width: 400px;
}
#address-screen > div {
  width: 90%;
  max-width: 500px;
}
#shipment-screen input, #shipment-screen textarea {
  background: #f4f4f4;
}
#geowidget-v5-iframe-render {
  height: 550px !important;
}
#in-uwagi-kurier, #in-uwagi-plik {
  height: 50px;
  line-height: normal;
  margin-bottom: 0px;
  padding-top: 5px;
  resize: vertical;
}
#in-uwagi-plik {
  height: 100px;
}
#btn-footer-report {
  color: var(--grey-color) !important;
}
#in-bug {
  height: 85px;
  line-height: normal;
  margin-bottom: 10px;
  padding-top: 5px;
  resize: vertical;
}
#no-bleed-info {
  display: none;
}
.merge-order-master, .merge-order-slave {
  border: 1px solid var(--special-color);
  color: var(--special-color);
  background-color: rgba(24, 150, 221, 0.1) !important;

}
.order-list-number {
  transition: ease-in-out 0.25s;
  background-image: url('img/check.png');
  background-position: 44px 50%;
  background-repeat: no-repeat;
  background-size: 0px 0px;
  padding-left: 40px !important;
  margin-right: -30px !important;
  transform: translateX(-30px);
}
.order-list-number.merge-slave {
  padding-left: 40px !important;
  margin-right: -30px !important;
  transform: translateX(0px);
}
.order-list-row:has(.merge-slave) {
  border-radius: 0;
  border-top: 1px solid rgba(0,0,0,0);
  background: #f6f6f6;
  background: #ffffff;
}
.merge-order-master .order-list-number, .merge-order-slave .order-list-number{
  background-position: 10px 50%;
  background-size: 13px 13px;
  transform: translateX(0px);
}
#merge-control {
  display: none;
}
.no-border {
  border: none !important;
}
.merge-slave-number {
  white-space:nowrap;
}
.order-list-box {
  background-color: #fafafa;
}
.order-filter > div {
  display: inline-block;
  margin-right: 10px;
  padding: 10px 15px;
  border-radius: var(--radius-small);
  cursor: pointer;
  transition: ease-in-out 0.2s;
  opacity: 0.7;
  background: var(--light-grey-color);
  margin-top: 10px;
}
.filter:hover {
  background: var(--grey-color);
  opacity: 0.6;
}
.filter.active {
  opacity: 0.6;
  background: var(--grey-color);
}
.order-filter .disabled {
  background: none;
}
img.header-image {
  width: 100%;
  border-radius: calc(var(--radius-medium) - 2px) calc(var(--radius-medium) - 2px) 0px 0px;
  /*
  filter: saturate(0) brightness(1.2) contrast(0.8);
  */
}
.header-text {
  position: relative;
  top: -60px;
  left: 30px;
  color: #ffffff;
  font-size: 2em;
  font-family: bold;
  text-shadow: 0px 2px 10px rgba(0,0,0,0.5);
  height: 20px;
  margin-bottom: -24px;
}
.show-mobile {
  display: none;
}
.promo {
  margin: 50px 0px;
}
.border-left-desktop {
  border-left: 1px solid var(--light-grey-color);
  padding-left: 30px;
}

.admin-global-settings-warning {
  display: block;
  position: fixed;
  width: 300px;
  min-height: 50px;
  background: var(--warning-color);
  color: #ffffff;
  bottom: 50px;
  padding: 20px;
  box-sizing: border-box;
  left: calc(50% - 150px);
  z-index: 99999999;
  text-align: center;
  border-radius: var(--radius-small);
}
.top {
  z-index: 999999999;
}
.disable_order {
  background: var(--warning-color);
  color: #ffffff;
  bottom: 50px;
  padding: 20px;
  box-sizing: border-box;
  text-align: center;
  font-size: 1.1em;
  border-radius: var(--radius-small);
}
#valid-file-warning {
  position: relative;
  top: 22px;
  left: -22px;
  height: 10px;
  width: 10px;
  margin-bottom: -10px;
  transform: scale(0.8);
  animation-duration: 1s;
  animation-iteration-count: infinite;
  animation-name: pulse;
}
@keyframes pulse{
  0% {opacity: 1}
  50% {opacity: 0.5}
  100% {opacity: 1}
}

.loading-bar {
  width: 100%;
  height: 10px;
  border-radius: 3px;
  border: 1px solid var(--grey-color);
  background-color: var(--light-grey-color);
}
.loading-bar-progress {
  width: 50%;
  height: 10px;
  background-color: var(--grey-color);
  animation-duration: 300s;
  animation-iteration-count: infinite;
  animation-name: loading-bar-5min;
}
@keyframes loading-bar-5min{
  0% {width: 100%}
  100% {width: : 0%}
}

#file-form {
  background: #ebebee;
  border-radius: 6px;
  border: 1px dashed #cccccc;
  height: 200px;
  overflow: hidden;
  cursor: pointer;
}
#files {
  width: 1000px;
  transform: scale(100);
  opacity: 0;
  cursor: copy;
}
#busy {
  color: var(--orange-color);
  font-family: bold;
  text-align: center;
  margin-top: 30px;
  margin-bottom: -10px;
}

#after-form {
  width: 100%;
  height: 120px;
  margin-top: -120px;
  text-align: center;
  opacity: 0.6;
  pointer-events: none;
}
.stretch {
  align-items: stretch !important;
}
#form-parent {
  overflow: hidden;
}
#file-list {
  height: 200px;
  overflow: scroll;
  padding: 30px;
  background: #ebebee;
  border-radius: 6px;
  box-sizing: border-box;
  display: none;
}
.list-empty {
  background: none !important
}
#file-list > div {
  margin-bottom: 8px;
  padding-bottom: 8px;
  border-bottom: 1px solid #cccccc;
}
#file-list > div:last-of-type {
  margin-bottom: 0px;
  padding-bottom: 0px;
  border: none
}
.result {
  margin-bottom: 10px;
  padding-bottom: 10px;
  border-bottom: 1px solid #eeeeee;
  font-size: 0.9em;
}

.result img {
  width: 120px;
  height: 84px;
  object-fit: contain;
  background: #eeeeee;
  border-radius: 5px;
  margin-right: 20px;
  /*
  background-image: url('img/loading-image.jpg');
  background-position: center center;
  background-size: 300px auto;
  */
}

.roll {
  font-family: bold;
  font-size: 1.6em;
}
.size {
  margin: 5px 0px;
}
.name {
  font-family: bold;
}
.cover {
  margin-top: 5px;
  font-family: bold;
}
.price {
  font-size: 1.3em;
  font-family: bold;
  margin-top: 80px;
}
.hide {
  display: none;
}
.cover-small {
  color: rgb(118, 194, 50);
}
.cover-medium {
  color: rgb(217, 161, 17);
}
.cover-high {
  color: rgb(255, 92, 0);
  animation: blink-estreme 1.5s linear infinite;
}
.cover-extreme {
  color: rgb(209, 0, 44);
  animation: blink-estreme 1.5s linear infinite;
}
@keyframes blink-estreme {
  0% {opacity: 1}

  40% {opacity: 1}
  60% {opacity: 0.3}
  100% {opacity: 1}
}

.result img {
  position: relative;
  transition: ease-in-out 0.3s;
  z-index: 100;
  transform-origin: left;
  cursor: pointer;
}


#summup-header {
  margin-bottom: 30px !important;
  padding-bottom: 20px !important;
  border-bottom: 1px solid #dddddd;
}
#summup-info {
  margin-top: 20px;
}
#loader {
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100vh;
  z-index: 100000;
  display: flex;
  align-items: center;
  text-align: center;
  background: #ffffff;

}
#loader > div {
  margin: auto;
}

.loader {
  width: 500px;
  height: 10px;
  display: block;
  background-color: #FFF;
  border: 1px solid #dddddd;
  border-radius: 10px;
  background-image: linear-gradient(45deg, rgba(0, 0, 0, 0.25) 25%, transparent 25%, transparent 50%, rgba(0, 0, 0, 0.25) 50%, rgba(0, 0, 0, 0.25) 75%, transparent 75%, transparent);
  font-size: 30px;
  background-size: 1em 1em;
  box-sizing: border-box;
  animation: barStripe 0.7s linear infinite;

}
.bar {
  display: block;
  position: relative;
  top: -10px;
  width: 0px;
  height: 10px;
  background: rgba(0, 148, 255, 0.66);
  border-radius: 10px;
  transition: 1.5s;
}
#result-loader > div {

  z-index: 10;
  color: #aaaaaa;
}

@keyframes barStripe {
  0% {
    background-position: 1em 0;
  }
  100% {
    background-position: 0 0;
  }
}

.btn-reload {
  cursor: pointer;
  transition: 0.3s;
}
.btn-reload:hover {
  color: var(--blue-color);
}









/* RESPONSIVE */

@media only screen and (max-width: 900px) {
  #wrapper {
    padding-top: 80px;
    transition: ease-in-out 0.3s;
  }
  #top-bar {
    display: block;
    position: fixed;
    top: 0px;
    right: 0px;
    width: 100%;
    z-index: 101;
    background-image: url('img/logo.png');
    background-repeat: no-repeat;
    background-position: 20px 20px;
    background-size: auto 30px;
    background-color: #ffffff;
    border: 1px solid var(--light-grey-color);
    text-align: right;
    line-height: 60px;
    padding-right: 20px;
    box-sizing: border-box;
    box-shadow: 0px 5px 10px rgba(0,0,0,0);
    transition: ease-in-out 0.3s;
  }
  #top-bar.scrolled {
    top: 20px;
    right: 20px;
    width: 50px;
    height: 50px;
    line-height: 50px;
    padding: 0px;
    padding-right: 12px;
    background-position: -300px 10px;
    background-size: 1px 1px;
    border-radius: 99px;
    box-shadow: 0px 5px 10px rgba(0,0,0,0.05);
    transform: scale(0.9);
    transform-origin: top right;
  }
  #top-bar .material-symbols-outlined {
    font-variation-settings:
    'FILL' 0,
    'wght' 290,
    'GRAD' 0,
    'opsz' 24;
    margin-top: -50px;
    display: inline-block;
    transform: translateY(7px) translateX(0px) scale(1.3);
  }
  #top-bar.active {
    border-color: #ffffff;
    box-shadow: 0px 0px 0px rgba(0,0,0,0.05);
  }
  nav {
    display: block;
    position: fixed;
    top: 0px;
    right: 0px;
    width: 250px;
    height: calc(100vh + 500px);
    margin: 0px;
    line-height: normal;
    text-align: left;
    border: none;
    background-image: url('img/logo.png');
    background-repeat: no-repeat;
    background-position: 20px 30px;
    background-size: auto 30px;
    background-color: #ffffff;
    padding-top: 80px;
    transition: ease-in-out 0.3s;
    transform: translateX(250px);
    z-index: 100;
  }
  nav > div {
    text-align: left;
  }
  nav a:link, nav a:visited, nav a:hover {
    display: block;
    border-bottom: 1px solid var(--light-grey-color);
    padding-bottom: 15px;
    margin-bottom: 15px;
  }
  nav .material-symbols-outlined {
    margin-right: 4px;
  }
  a#home-page {
    display: none;
    position: relative;
    top: 20px;
    margin: 0px;
    margin-bottom: -40px;
    width: 150px;
    background: red;
    opacity: 0.1;
  }
  .left-mobile {
    text-align: left !important;
  }
  .center-mobile {
    text-align: left;
  }
  .block-mobile {
    display: block !important;
  }
  .hide-mobile {
    display: none !important;
  }
  .order-list-header{
    display: none;
  }
  .order-list-row {
    padding: 30px;
    margin: 20px -10px;
    transition: ease-in-out 0.25s;
    border-radius: 0;
    border: none;
    border: 1px solid var(--light-grey-color) !important;
    border: 1px solid #f4f4f4 !important;
    background: #f4f4f4 !important;
    background: #ffffff !important;
    transition: ease-in-out 0.3s;
    box-sizing: border-box;
    border-radius: var(--radius-medium);
    box-shadow: 0px 0px 30px rgba(0,0,0,0.06);
  }
  .order-list-row:has(.merge-slave) {
    border-radius: 0px 0px var(--radius-medium) var(--radius-medium);
    margin-top: -30px;
  }
  .order-list-row:has(.order-row:hover) {
    color: inherit;
  }
  .order-list-row > div > div {
    border-left: none;
    padding: 7px 5px;
  }

  .details-unfolded {
    box-shadow: 0px 10px 40px rgba(0,0,0,0.2);
    background: #f8f8f8 !important;
    margin: 30px -30px;
  }
  .order-list-number.merge-slave {
    padding-left: 10px !important;
    margin-right: 0px !important;
    transform: translateX(0px);
  }
  .merge-slave-number {
    white-space: normal;
  }
  .show-mobile {
    display: inherit;
  }
  .max-width-mobile {
    max-width: 100%;
  }
  .left-mobile {
    text-align: left;
  }
  .border-left-desktop {
    border-left: initial;
    padding-left: initial;
  }

}
@media only screen and (max-width: 530px) {
  .cols {
    display: block;
  }
  .cols.no-break {
    display: flex;
  }
  #login-page-logo {
    padding-top: 150px;
    background-image: url('img/logo-small.png');
    background-size: 60px auto;
    background-repeat: no-repeat;
    background-position: 50% 40px;
  }
  .cols>div.border-right {
    border: none;
    border-bottom: 1px solid var(--light-grey-color);
  }
  #inpost-screen > div, #address-screen > div, #bug-screen > div, .screen > div {
    width: 100%;
    min-height: 100vh;
    margin: 0px;
    padding: 30px 20px 20px 20px;
    border-radius: 0px;
    overflow-y: scroll;
    box-sizing: border-box;
  }
  #geowidget-v5-iframe-render {
    height: calc(100vh - 120px) !important;
  }
  .sptsd {
    margin-top: 0px !important;
  }
}

/* bug error handling */
#click-log {
  display: none;
  position: fixed;
  bottom: 10px;
  right: 10px;
  width: 200px;
  height: 100px;
  background: #eeeeee;
  border: 1px solid #aaaaaa;
  box-shadow: 0px 10px 30px rgba(0,0,0,0.2);
  border-radius: 6px;
  padding: 20px;
  color: #555555;
  text-align: left;
  overflow-y: scroll;
  font-size: 0.9em;
}
